Asset Importer Utils Extension [isaacsim.asset.importer.utils]
################################################################

This extension provides shared utility functions for asset importers, including collision handling,
mesh merging, and stage management operations.


Importer Utils
==============

.. automodule:: isaacsim.asset.importer.utils.impl.importer_utils
    :members:
    :undoc-members:
    :no-show-inheritance:


Merge Mesh Utils
================

.. automodule:: isaacsim.asset.importer.utils.impl.merge_mesh_utils
    :members:
    :undoc-members:
    :no-show-inheritance:


MJCF to PhysX Conversion Utils
==============================

.. automodule:: isaacsim.asset.importer.utils.impl.mjc_to_physx_conversion_utils
    :members:
    :undoc-members:
    :no-show-inheritance:


Stage Utils
===========

.. automodule:: isaacsim.asset.importer.utils.impl.stage_utils
    :members:
    :undoc-members:
    :no-show-inheritance:


URDF to MJCF/PhysX Conversion Utils
===================================

.. automodule:: isaacsim.asset.importer.utils.impl.urdf_to_mjc_physx_conversion_utils
    :members:
    :undoc-members:
    :no-show-inheritance:

